## Class template to_log_manip

boost::log::to_log_manip — Generic manipulator for customizing output to log.

## Synopsis

    // In header: <boost/log/utility/manipulators/to_log.hpp>

    template<typename T, typename TagT = void>
    class to_log_manip {
    public:
      // types
      typedef T    value_type;  // Output value type.
      typedef TagT tag_type;    // Value tag type.

      // construct/copy/destruct
      explicit to_log_manip(value_type const &);
      to_log_manip(to_log_manip const &);

      // public member functions
      value_type const & get() const;
    };

## Description

### `to_log_manip` public construct/copy/destruct

1.     explicit to_log_manip(value_type const & value);

2.     to_log_manip(to_log_manip const & that);

### `to_log_manip` public member functions

1.     value_type const & get() const;